Support » Fixing WordPress » Importing from old WP

  • Hey, everyone!!!

    I am attempting to import an .xml file from and old version of wp (2.3.1) into a new installation of 3.5. When I use the WP Importer I get this error back:

    Sorry, there has been an error.
    This does not appear to be a WXR file, missing/invalid WXR version number

    I have inspected the import file in a text editor and I can’t figure out what the WXR version number is to maybe manually change it. I have put up some dummy posts on the new 3.5 installation and downloaded that .xml file for comparison, and both files say that they are XML version 1.0 and RSS version 2.0.

    Am I totally SOL in importing the old posts or is there some semi-easy manual fix for the old file to get the new WP to import it?

    Thanks!

Viewing 4 replies - 1 through 4 (of 4 total)
  • esmi

    (@esmi)

    Forum Moderator

    I am attempting to import an .xml file from and old version of wp (2.3.1)

    How did you create this .xml file? From what I recall, WP 2.3.1 didn’t have export functionality

    esmi,

    There is an Export button. Here is the copy from the .xml file I downloaded:

    <!-- generator="wordpress/2.3.1" created="2013-01-08 16:17"-->

    esmi

    (@esmi)

    Forum Moderator

    I suspect that a 2.3.1 export file is simply too old to import into a 3.5 install. Try installing WordPress 2.5 and see if you can import into that.

    That seems to have worked, thanks!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Importing from old WP’ is closed to new replies.